SegmentsRetrieve segment

Retrieve segment

Fetch a single segment by ID. Must belong to the resolved location.

curl -X GET "https://mythic-analytics.gulp.workers.dev/builder/segments/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Active organic (30d)",
    "description": "example_string",
    "definition": {
      "attribution": "first",
      "search": "acme",
      "has_email": true,
      "channel": "organic",
      "utm_source": "google",
      "utm_medium": "cpc",
      "utm_campaign": "example_string",
      "country": "US",
      "device_type": "mobile",
      "min_sessions": 3,
      "min_identities": 2,
      "active_within_days": 30,
      "inactive_days": 90,
      "first_seen_within_days": 7
    },
    "is_favorite": true,
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z"
  }
}
GET
/segments/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need segments:read or segments:write. See Using an mcp_ key over HTTP.

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need segments:read or segments:write. See Using an mcp_ key over HTTP.
path
idstring
Required

Segment UUID.

Format: uuid
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need segments:read or segments:write. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required

Segment UUID.

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Responses

dataobject